% Intervalo de amostragem
Ta = 0.05
% Controlador PI Transformacao Bilinear
%
Kp = 2
Ti = 0.2
%
num=[Kp*(Ta+2*Ti) Kp*(Ta-2*Ti)]
den=[2*Ti -2*Ti]
control = tf(num,den,Ta)
%
% Planta G(s)= Km/(Ts+1)
%
Km = 1.0
T = 0.25
a=1/T
% zoh + planta
splanta = tf([Km*(1-exp(-a*Ta))],[1 -exp(-a*Ta)],Ta)
% malha aberta
openloop = control*splanta
clf
w = logspace(-1,2,100);
dbode(openloop,Ta,w)
grid
hold on
%
% Dominio do tempo continuo
%
picont = tf([Kp*Ti Kp],[Ti 0])
splantacont = tf([Km],[T 1])
openloopcont = picont * splantacont
bode(openloopcont,w)

